package com.xhpc.card.mapper;

import com.xhpc.card.domain.RealtimeOrder;
import com.xhpc.card.pojo.XhpcRateTime;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public interface XhpcRateTimeMapper {

    int deleteByPrimaryKey(Long rateTimeId);

    int insert(XhpcRateTime record);

    int insertSelective(XhpcRateTime record);

    XhpcRateTime selectByPrimaryKey(Long rateTimeId);

    int updateByPrimaryKeySelective(XhpcRateTime record);

    int updateByPrimaryKey(XhpcRateTime record);

    /**
     * query real time orders for big data screen
     *
     * @author WH
     * @date 2022/3/17 14:46
     * @since version-1.0
     */
    List<RealtimeOrder> selectByTenantIdsAndCharingStationIds(@Param("tenantIdsStr") String tenantIdsStr, @Param("xhpcChargingStationList") ArrayList<Long> xhpcChargingStationList, @Param("chargingStationId") Long  chargingStationId);

}